On this page
No Headings
Request body for initializing invoice auto reminder configuration. The request may include up to two reminder configurations (BEFORE_DUE and AFTER_DUE), which will be applied to all invoices created by the merchant. If only one reminder type is provided, the missing reminder type will be created using the default configuration in INACTIVE state. If the request body is empty, both reminder types will be created using the default configuration in INACTIVE state. Reminder configurations created using the provided payload are set to ACTIVE state.
objectconfigurationsarrayAn array of invoice auto reminder configurations. The array can contain a maximum of two configurations, one for BEFORE_DUE reminder type and one for AFTER_DUE reminder type.
itemsobjectInvoice reminder configuration object to specify the frequency, reminder type and other params related to invoice auto reminder configuration.
idstring^RC-[A-Z0-9]+$Represents the auto reminder configuration id.
typerequiredstring"BEFORE_DUE", "AFTER_DUE"The type of the auto reminder configuration.
statusstring"ACTIVE", "INACTIVE"The status of the auto reminder configuration.
intervalrequiredobjectDefines the time interval used to determine when a reminder is sent relative to the invoice due date. The interval consists of a unit (for example, DAY) and a numeric value that specifies how many units before or after the due date the reminder is triggered.
unitrequiredstring"DAY"Defines the recurrence unit of time for sending automatic reminders.
valuerequiredintegerThe number of time units before or after the invoice due date when the reminder is sent. Minimum value is 1 and maximum value is 7.
repetitionrequiredintegerThe repetition at which the auto reminder has to be set. Note: For BEFORE_DUE reminder type, repetition is always one.
notificationobjectThe email notification to send to the invoicer or payer on auto reminder configuration.
send_to_invoicerbooleanfalseIndicates whether to send a copy of the email to the merchant.
metadataobjectInvoice auto reminder configuration metadata.
created_timeobject^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
Represents the date and time at which this auto reminder configuration was created.
updated_timeobject^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
Represents the date and time at which this auto reminder configuration was last updated.
linksarrayAn array of request-related HATEOAS links.
itemsobjectThe request-related HATEOAS link information.
hrefrequiredstring^.*$The complete target URL. To make the related call, combine the method with this URI Template-formatted link. For pre-processing, include the $, (, and ) characters. The href is the key HATEOAS component that links a completed call with a subsequent call.
relrequiredstring^.*$The link relation type, which serves as an ID for a link that unambiguously describes the semantics of the link. See Link Relations.
methodstring"CONNECT", "DELETE", "GET", "HEAD", "OPTIONS", "PATCH", "POST", "PUT"The HTTP method required to make the related call.